<script>
$(document).ready(function(){
    $("#Legenda").click(function(){
        $("#legenda").slideToggle("fast");
    });
});
$(document).ready(function(){
    $("#Profil").click(function(){
        $("#profil").slideToggle("fast");
    });
});
$(document).ready(function(){
    $("#Inventury").click(function(){
        $("#inventury").slideToggle("fast");
    });
});
$(document).ready(function(){
    $("#Vozidla").click(function(){
        $("#vozidla").slideToggle("fast");
    });
});
$(document).ready(function(){
    $("#VyplatnePasky").click(function(){
        $("#vyplatnePasky").slideToggle("fast");
    });
});
$(document).ready(function(){
    $("#Statistiky").click(function(){
        $("#statistiky").slideToggle("fast");
    });
});
 
</script>
<?php
		if ($this->session->userdata('permisson')==3) {
		$CI =& get_instance();
		$CI->load->library('libraryprofile');
		$CI->libraryprofile->showMenuBarDriver($this->session->userdata('meno'),$this->session->userdata('priezvisko'),$this->session->userdata('id_zamestnanca'));
		
		$this->load->helper("employee_helper");
		
		echo '<div id="default_container" style="padding-right: ">';
			echo '<h3 style="border-bottom:0px">Vítajte v informačnom systéme.</h3>';
			echo '<p style="margin-left:50px; margin-top:10px;margin-bottom:10px">Kliknutím na jednolivé sekcie sa Vám zobrazí podrobný návod.</p>';
			if(haveICompletedProfile($this->session->userdata('id_zamestnanca'))==FALSE){
				echo '<p style="margin-left:50px; margin-top:10px;margin-bottom:10px; color:red"><b>Máte nevyplnený profil. </b>V prípade že v čase (vždy posledný deň v mesiaci), keď sa systémom vytvárajú výplatné pásky Vám prípade nevyplneného profilu <b> nebude vyplatená</b> mzda!</p>';			
			}
			$countMyInventories=getCountMyInventories($this->session->userdata('id_zamestnanca'),date("Y-m"))+getCountMyInventoriesDriver($this->session->userdata('id_zamestnanca'),date("Y-m"));
			if($countMyInventories<3){
				echo '<p style="margin-left:50px; margin-top:10px;margin-bottom:10px; color:red"><b>Tento mesiac ste ešte neabsolvovali minimálny počet inventúr ( 3 inventúry ).</b> V prípade ak tento mesiac <b>neabsolvujete minimálny</b> počet inventúr, budete automaticky systémom prevedený na <b>neaktívného zamestnanca.</b> Aktuálny počet vaších inventúr za aktuálny mesiac je: <b>'.$countMyInventories.'</b>.</p>';						
			}else{
				echo '<p style="margin-left:50px; margin-top:10px;margin-bottom:10px;">Váš počet inventúr tento mesiac: '.$countMyInventories.'</p>';	
			}			
			echo '<div id="Legenda"><h1>Legenda</h1></div>';
			echo "<div id='legenda'>"; 
				echo '<p style="margin-left:7em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/yes.png" height="20" width="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:20px">Značí správne vyplnenú sekciu.</span>';
				echo '<p style="margin-left:7em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/no.png" height="20" width="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:20px">Značí nesprávne vyplnenú sekciu.</span>';
				echo '<p style="margin-left:7em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/Exclamation.png" height="20" width="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:20px">Značí nevyplnenú sekciu.</span>';
				echo '<p style="margin-left:7em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/que.png" height="20" width="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:20px">Značí správne vyplnenú sekciu, ale obsahuje upozornenie.</span>';
				echo '<p style="margin-left:7em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/next.png" height="20" width="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:20px">Značí odkaz posunutia o jednu jednotku doprava.</span>';
				echo '<p style="margin-left:7em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/prev.png" height="20" width="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:20px">Značí odkaz posunutia o jednu jednotku doľava.</span>';
				echo '<p style="margin-left:7em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/noMess.png" height="20" width="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:20px">Zobrazuje informáciu o žiadnom novom hlásení. Slúži tiež ako odkaz na sekciu hlásení.</span>';
				echo '<p style="margin-left:7em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/newMess.png" height="20" width="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:20px">Zobrazuje informáciu o novom hlásení. Slúži tiež ako odkaz na sekciu hlásení.</span>';
				echo '<p style="margin-left:7em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/sett.png" height="20" width="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:20px">Slúži ako odkaz na sekciu nastavení.</span>';
				echo '<p style="margin-left:7em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/que2.png" height="20" width="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:20px">Slúži ako odkaz na sekciu informácii.</span>';
				echo '<p style="margin-left:5em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/sedan_sivy.png" height="20"  style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:10px">Zobrazuje inforáciu o type nevybraného vozidla - zvyčajne 5-miestné vozidlo.</span>';
				echo '<p style="margin-left:5em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/sedan_zeleny.png" height="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:10px">Zobrazuje inforáciu o type vybraného vozidla - zvyčajne 5-miestné vozidlo.</span>';
				echo '<p style="margin-left:5em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/combi_sivy.png" height="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:10px">Zobrazuje inforáciu o type nevybraného vozidla - zvyčajne 7-miestné vozidlo.</span>';
				echo '<p style="margin-left:5em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/combi_zeleny.png" height="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:10px">Zobrazuje inforáciu o type vybraného vozidla - zvyčajne 7-miestné vozidlo.</span>';
				echo '<p style="margin-left:5em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/van_sivy.png" height="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:10px">Zobrazuje inforáciu o type nevybraného vozidla - zvyčajne sú to 9-miestné vozidlá.</span>';
				echo '<p style="margin-left:5em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/van_zeleny.png" height="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:10px">Zobrazuje inforáciu o type vybraného vozidla - zvyčajne sú to 9-miestné vozidlá.</span>';
				echo '<p style="margin-left:5em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/bus_sivy.png" height="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:10px">Zobrazuje inforáciu o type nevybraného vozidla - zvyčajne viac ako 9-miestné vozidlá.</span>';
				echo '<p style="margin-left:5em; margin-top:10px"><img src="http://martinbendik.studenthosting.sk/pictures/bus_zeleny.png" height="20" style="margin-right:15px; margin-bottom:-4px"><span style="margin-left:10px">Zobrazuje inforáciu o type vybraného vozidla - zvyčajne viac ako 9-miestné vozidlá.</span>';
			echo "</div>";
			
			echo '<div id="Profil"><h1>Profil</h1></div>';
			echo "<div id='profil'>";
				echo '<p style="margin-left:7em; margin-top:10px">V tejto sekcii sa Vám zobrazí Váš profil, ktorý obsahuje:</p>';
				echo '<p style="margin-left:9em; margin-top:5px"">- Základné informácie: vaše identifikačné číslo, meno a priezvisko a rodné číslo.</p>';
				echo '<p style="margin-left:9em">- Kontaktná adresa: ulica, poštové smerovacie číslo a mesto.</p>';
				echo '<p style="margin-left:9em">- Kontkté údaje: telefónne číslo a e-mail, ktorý slúži ako login do aplikácie.</p>';
				echo '<p style="margin-left:9em">- Poistovňa: Názov a kód poisťovne pre prípad zranenia v pracovnej dobe.</p>';
				echo '<p style="margin-left:9em">- Bankové spojenie: Číslo účtu a kód banky, ktoré slúži na vyplatenie vašej mzdy.</p>';
				echo '<p style="margin-left:7em; margin-top:10px">V hornej časti je odkaz na upravenie profilu, kde si môžete jednotlivé časti profilu upraviť.</p>';
				echo '<p style="margin-left:7em; margin-top:10px">V hornej časti je tiež odkaz na zmenu hesla, kde po správnom vyplnení formuláru sa Vám automaticky prepošle nové vygenerované heslo na Váš e-mail.</p>';
			echo "</div>";
			
			echo '<div id="Inventury"><h1>Inventúry</h1></div>';	
			echo "<div id='inventury'>";
				echo '<p style="margin-left:7em; margin-top:10px">V tejto sekcii sa vám zobrazia štyri druhy inventúr a to:</p>';
				echo '<p style="margin-left:9em;">-Ohlasené inventúry: zobrazuje všetky inventúry ohlasené manažérom, kde pokiaľ svieti pri jednolivej inventúre zelená dióda, tak sa môžete na danú inventúru prihlásiť. Pokiaĺ svieti červená dióda, na inventúru sa prihlásiť nemôžete a a následne sa vám pri jednotlivej inventúre zobrazí dôvod, prečo sa na danú inventúru prihlásiť nemôžete.</p>';
				echo '<p style="margin-left:9em; margin-top:5px>-Voľné inventúry: sú vyselektované inventúry zo všetkých ohlasených inventúr, na ktoré sa môžete prihlásiť.</p>';
				echo '<p style="margin-left:9em;">-Pihlásený na inventúry: zobrazuje všetky inventúry na ktoré ste aktuálne prihlásený.</p>';
				echo '<p style="margin-left:9em;">-Archív inventúr: zobrazuje všetky inventúry na ktoré ste boli prihlasený, alebo ste prihlásený, pri ktorých doba prihlasovania skončila. Pokiaľ v tejto sekcii pri inventúre svieti ikona vykričníku, tak je potrebné aby ste inventúru definitívne ukončili vložením reportu. Report danej inventúry si môžete stiahnút ako Excel súbor a to až v dobe, kedy prihlasovanie na inventúru bolo ukončené. Vloženie reportu môžete urobiť automatickým naplnením, kedy vyplnený Excel súbor vyberiete a načítate. Následne budet presmerovaný na sekciu, kde je daný report vyplnený a po vašej kontrole môžete report nahrať. Report môžete nahrať aj manuálne, kde analogicky všetky dáta budete musieť zadávať do systému, na danej stránke.</p>';								
				echo '<p style="margin-left:7em; margin-top:10px">Pre každú inventúru, na ktorú ste alebo ste boli prihlásený, si môžete zobraziť detail inventúry, kde v prvej časti sú všeobecné informácie o danej inventúre. V časti zoznam zamestnancov je usporiadanie zamestnancov vo vozidlách, kde je pravidlom, že vedúci inventúry ide vždy v prvom vozidle.</p>';
			echo "</div>";
			
			echo '<div id="Vozidla"><h1>Vozidlá</h1></div>';
			echo "<div id='vozidla'>";
				echo '<p style="margin-left:7em; margin-top:10px; margin-right:50px">Táto sekcia slúži na evidenciu vozidiel kde sú rozdelené vozidlá do násldovných sekcií:</p>';	
				echo '<p style="margin-left:9em; margin-top:5px; margin-right:50px">-Všetky vozidlá: zobrazuje úplne všetky vozidlá či už aktívne, neaktívne (vozidlá ktoré boli vyradené, sú aktuálne servisované alebo slúžia zvyčajne ako náhradné vozidlá)</p>';
				echo '<p style="margin-left:9em; margin-right:50px">-Aktívne vozidlá: Sú výhradne vozidlá, ktoré sa používajú na inventúry a sú plne funkčné. </p>';
				echo '<p style="margin-left:9em; margin-right:50px">-Neaktívne vozidlá: Sú vozidlá všetky ostatné okrem aktivných.</p>';
	
				echo '<p style="margin-left:7em; margin-top:10px; margin-right:50px">Pre vytvorenie vozidla slúži odkaz v ľavom hornom rohu, kde je potrebné vyplniť názov vozidla (zvyčajne ide o značku a model vozidla), ŠPZ vozidla, ktorá musí byť unikátna a je kotrolovaná, či už existuje vozidlo s rovnakou štátnou poznávacou značkou. Taktiež je potrebné zadať maximálny počet miest vo vozidle, kôli následnému výpočtu počtu zamestnancov inventúry, na ktorú bude vozidlo prihlásené.</p>';				
			
				echo '<p style="margin-left:7em; margin-top:10px; margin-right:50px">Jednotlivé vozidlá je možné upravovať, a to po kliknutí na odkaz upraviť, kde budete presmerovaný na formulár, ktorý je za potreby pri zmene vozidla správne vyplniť. Pre zmenu aktivity vozidla, je potrebné vozidlo nahradiť iným vozidlom, aby nedošlo k problémom s dopravou na danú inventúru. </p>';	
				
				echo '<p style="margin-left:7em; margin-top:10px; margin-right:50px">Detail vozidla obsahuje všeobecné informácie a taktiež zobrauje inventúry, na ktoré je vozidlo prihlásené alebo na ktoré inventúry sa pomocou daného vozidla dopravovalo. Taktiež je možné pre jednolivé inventúry zobraziť detail, kde budete automaticky presmerovaný do sekcie detail inventúry.</p>';
			echo "</div>";
			
			echo '<div id="VyplatnePasky"><h1>Vyplatné pásky</h1></div>';	
			echo "<div id='vyplatnePasky'>";
			
			echo "</div>";
			
			echo '<div id="Statistiky"><h1>Štatistiky</h1></div>';	
			echo "<div id='statistiky'>";
			echo '<p style="margin-left:7em; margin-top:10px">V tejto sekcii si môžete pozrieť Vaše mesačné štatistiky za vybraný rok:</p>';
				echo '<p style="margin-left:9em; margin-top:5px; margin-right:50px">-Mzda v hrubom: v tomto grafe sa Vám zobrazí mzda pred zdanením, v hrubom.</p>';								
				echo '<p style="margin-left:9em;margin-right:50px">-Mzda v čistom: v tomto grafe sa Vám zobrazí mzda po zdanení, kde čistá mzda je vypočítaná podľa výšky odvodov stanovených štátom.</p>';								
				echo '<p style="margin-left:9em;margin-right:50px">-Odpracované hodiny: zobrazuje vaše odpracované hodiny v danom mesiaci vybraného roku.</p>';										
				echo '<p style="margin-left:9em;margin-right:50px">-Absolvovaných inventúr: zobrazuje počet inventúr na ktorých ste boli v danom mesiaci vybraného roku.</p>';										
				echo '<p style="margin-left:9em;margin-right:50px">-Najazdených kilometrov: zobrazuje koľko kilometrov ste museli cestovať na inventúry v danom mesiaci vybraného roku.</p>';												
			echo "</div>";
		echo "</div>";
	} else {
		redirect(base_url('main/restricted'));
	}	
?>

	
	
	


